## txtreader 0.6.9

=== Makefile ===
#############################################################################
# Makefile for building: txtreader
# Generated by qmake (2.01a) (Qt 4.6.0-maemo5-alpha1) on: ?? 11? 3 09:32:16 2013
# Project:  txtreader.pro
# Template: app
# Command: /usr/share/qt4/bin/qmake -unix -o Makefile txtreader.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/usr/include/QtCore -I/usr/include/QtGui -I/usr/include -I. -Isrc -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -losso -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/share/qt4/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = src/main.cpp \
		src/TxtReader.cpp \
		src/ReaderView.cpp moc_TxtReader.cpp \
		moc_ReaderView.cpp \
		qrc_txtreader.cpp
OBJECTS       = main.o \
		TxtReader.o \
		ReaderView.o \
		moc_TxtReader.o \
		moc_ReaderView.o \
		qrc_txtreader.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		txtreader.pro
QMAKE_TARGET  = txtreader
DESTDIR       = 
TARGET        = txtreader

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: txtreader.pro  /usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile txtreader.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile txtreader.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/txtreader1.0.0 || $(MKDIR) .tmp/txtreader1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/txtreader1.0.0/ && $(COPY_FILE) --parents src/TxtReader.h src/ReaderView.h .tmp/txtreader1.0.0/ && $(COPY_FILE) --parents txtreader.qrc .tmp/txtreader1.0.0/ && $(COPY_FILE) --parents src/main.cpp src/TxtReader.cpp src/ReaderView.cpp .tmp/txtreader1.0.0/ && $(COPY_FILE) --parents i18n/txtreader_English.ts i18n/txtreader_zh_CN.ts .tmp/txtreader1.0.0/ && (cd `dirname .tmp/txtreader1.0.0` && $(TAR) txtreader1.0.0.tar txtreader1.0.0 && $(COMPRESS) txtreader1.0.0.tar) && $(MOVE) `dirname .tmp/txtreader1.0.0`/txtreader1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/txtreader1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_TxtReader.cpp moc_ReaderView.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_TxtReader.cpp moc_ReaderView.cpp
moc_TxtReader.cpp: src/ReaderView.h \
		src/TxtReader.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/TxtReader.h -o moc_TxtReader.cpp

moc_ReaderView.cpp: src/ReaderView.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/ReaderView.h -o moc_ReaderView.cpp

compiler_rcc_make_all: qrc_txtreader.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_txtreader.cpp
qrc_txtreader.cpp: txtreader.qrc \
		CHANGES.TXT \
		i18n/txtreader_English.qm \
		i18n/txtreader_zh_CN.qm \
		images/fullscreen.png
	/usr/bin/rcc -name txtreader txtreader.qrc -o qrc_txtreader.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean 

####### Compile

main.o: src/main.cpp src/TxtReader.h \
		src/ReaderView.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o src/main.cpp

TxtReader.o: src/TxtReader.cpp src/TxtReader.h \
		src/ReaderView.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o TxtReader.o src/TxtReader.cpp

ReaderView.o: src/ReaderView.cpp src/ReaderView.h \
		src/TxtReader.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ReaderView.o src/ReaderView.cpp

moc_TxtReader.o: moc_TxtReader.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_TxtReader.o moc_TxtReader.cpp

moc_ReaderView.o: moc_ReaderView.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_ReaderView.o moc_ReaderView.cpp

qrc_txtreader.o: qrc_txtreader.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qrc_txtreader.o qrc_txtreader.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/maemo/txtreader/ || $(MKDIR) $(INSTALL_ROOT)/opt/maemo/txtreader/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/opt/maemo/txtreader/$(QMAKE_TARGET)"
	-$(STRIP) "$(INSTALL_ROOT)/opt/maemo/txtreader/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/opt/maemo/txtreader/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/maemo/txtreader/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== debian/changelog ===
txtreader (0.6.9) unstable; urgency=low

  * Night Mode.

 -- Eveing <eveing@139.com>  Sun, 03 Nov 2013 13:21:39 +0800

=== debian/control ===
Source: txtreader
Section: user/utilities
Priority: optional
Maintainer: Eveing <eveing@139.com>
Build-Depends: debhelper (>= 5), pkg-config, libosso-dev (>=0.9.10-2), libqt4-dev

Package: txtreader
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <Txt File Reader>
Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAASdAAAEnQB3mYfeAAAAAd0SU1FB9sMDhMsDybst2gAAAVbSURBVEjH
 5ZbLb91XEcc/c875ve69vs/YDokct478akNFKwFJUaAiBVIWiVopApFNgQ0s2FXiD0B0XaFuukCV
 kFBBrkISEWQRKRKpaiUrKEUktOQpR+A4dv28vvf3OMPCbxx1gZBYMNJZ/H7nzHznzHxnzsD/jVy/
 fv2/qiM7P65du8bRo0d3Hbh8+fJBa21ijA3m5+fvvvLKy2sAF86dq9RbrQFVzYqiSE+cOHF/p97k
 5CQnT57cBjo+/DzvfTzFzY/+xuLCgomjuJzn+XfCMDxVqVReSJKk5Jwlz3Pa7TbLyysXbl+8mDz3
 6qtfj8IA9UpRFKyurmaLi4tT7XZ7UlV/vrS0NBfGoX/pGy9xfPj57Rudn/jNsbHPjv+4Vqudrlar
 lEqlLW/WOm0WFhZYWV1WE4Vy8eUzfPvy77UkVoqiQFUBsNaSpilzc3PMz8//7i9//PCnP/jRD6cA
 3Iat1tzDuZ8cOnToRJIkAAqgqiIieO8BJc8zmf9kjrV2m9VHjyTZ14+q4r2nKAo6nY6qqjQaDWq1
 2jenrrwfxdhvdSjmDEA/rb5SuTToArfpnQAiIluJ1I0lKMnIMNO/vYSJIzYc2pXzLMtQVZJSMtgn
 +/sADMDoyFgtiuKmEcOm8Z3iFVBFFTTPqX/lOLff+RVLd+489vwmeBRFzYGhgdoW0MHBgWYYBE0x
 8un8VQWFqK+P+nPP8qc33iBdWdkyvLk2JY6TZqu/t7kFFJXDA+WeMkaM7rmN9+sGNrFQbBgw9v3v
 sXLnDn99661dxlmPOWJEe2o9hElwAMCMlg47I2akWq/tqavtwCuqfpMjiEKpfz9ffP11Hl29ys03
 38Suk2hLjBip1qo450aO1MecCaLABWF4uFqvbrHtcfH+d4+1yKmPjPDUa6/Rnpri3vnzmCjaqaPV
 WpU4SQ4ba52xLnBRFA1tAMnjjOuOf6rABgGKNOXAiy/innySzpUrpIuLW+RQVanUKiRJMmSdc6a5
 r2XDOBqO4miv1xs1orrOg42s7Ypv0elw8NQputPTLH3wAVi7tRfFEXESD9ebdWtKlaRaKpfKQRDs
 zY0IzjmCIMA5i6J4v04INvespTE+ztrMDPns7C4GOuco91TKpUqp6vI8H23uaxDH8S6Qhw8fMjs7
 S7fTJS9ynHM0mnXUKz5XnLHcvnWbTreDdLvky8v4lRUqlQqa53S7XRBotOrkeT7qQJ+ptxpkaaY3
 btyQW7f+zmp7BRcYxApmvUcgYkhvZvS2+snyjPfe/wOlcoyNAvjzDbLVNvf+Mc1Hk5eIjGNw8AmG
 Dg9pvdUQ0GccMLaaLvPuuV+LWEA8ajK6mUcKwYjBWIs1FhcY7t+/CyLUG1UQUDUUDx5gnh4n+kwf
 Pb118J4HM/e5dfdj6foOiIy7IAiOdLIOzClpN8MXniLz5Hmx0UyFSq2kqMq9m9N8MrMIQKOvxhNP
 DyBidMmXRb7wZeyDJWz6IS50BIEjiAK6eZfAuSPytSNf7Tb394ZF7rf7md/RShSME/IiW8i7eSew
 4X6AzKczLnSRs0HdF9stVVDEyDrNBayzzP9zNnVFUVTWOmtiqyYSJ4mxxIhERkgUQoEINHDYIDDW
 +kwjBZIg7qpXL6KFRVJUU4Uuni6iHS2KDrlpd1ezTuEL71qf78smfjEBkB792QvLvVerLrbW4QnF
 SKhKoGKcoFZUjYmsrD8bXo2IV5FCRQvryRSTEZCqSMpalL976Z29M8Pp757mwtsX9tTS50a/xFPP
 tqRTiKg3kgRK4a3kPlOrkabVXMv36vrLK2/v0T1z5gwTExOf/iKcPXv2P5qejh079r8d3/4F+ZRy
 Wffhs/oAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	/usr/share/qt4/bin/qmake -unix -o Makefile txtreader.pro
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/txtreader.sgml > txtreader.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/txtreader.
	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/txtreader install
	install -m 0644 $(IFLAGS) data/txtreader.png \
		"$(CURDIR)"/debian/txtreader/usr/share/icons/hicolor/scalable/apps/txtreader.png
	install -m 0644 $(IFLAGS) data/txtreader.desktop \
		"$(CURDIR)"/debian/txtreader/usr/share/applications/hildon/txtreader.desktop
	ln -s /opt/maemo/txtreader/txtreader $(CURDIR)/debian/txtreader/usr/bin/txtreader

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	# dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	# dh_shlibdeps                      # Uncomment this line for publishing!
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
